/*
  Register definitions for slave core: BPM FSM Acquisition registers

  * File           : wb_acq_core_regs.h
  * Author         : auto-generated by wbgen2 from acq_core.wb
  * Created        : Fri Mar 24 14:49:10 2017
  * Standard       : ANSI C

    THIS FILE WAS GENERATED BY wbgen2 FROM SOURCE FILE acq_core.wb
    DO NOT HAND-EDIT UNLESS IT'S ABSOLUTELY NECESSARY!

*/

#ifndef __WBGEN2_REGDEFS_ACQ_CORE_WB
#define __WBGEN2_REGDEFS_ACQ_CORE_WB

#include <inttypes.h>

#if defined( __GNUC__)
#define PACKED __attribute__ ((packed))
#else
#error "Unsupported compiler?"
#endif

#ifndef __WBGEN2_MACROS_DEFINED__
#define __WBGEN2_MACROS_DEFINED__
#define WBGEN2_GEN_MASK(offset, size) (((1<<(size))-1) << (offset))
#define WBGEN2_GEN_WRITE(value, offset, size) (((value) & ((1<<(size))-1)) << (offset))
#define WBGEN2_GEN_READ(reg, offset, size) (((reg) >> (offset)) & ((1<<(size))-1))
#define WBGEN2_SIGN_EXTEND(value, bits) (((value) & (1<<bits) ? ~((1<<(bits))-1): 0 ) | (value))
#endif


/* definitions for register: Control register */

/* definitions for field: State machine acquisition_start command (ignore on read) in reg: Control register */
#define ACQ_CORE_CTL_FSM_START_ACQ            WBGEN2_GEN_MASK(0, 1)

/* definitions for field: State machine stop command (ignore on read) in reg: Control register */
#define ACQ_CORE_CTL_FSM_STOP_ACQ             WBGEN2_GEN_MASK(1, 1)

/* definitions for field: Reserved1 in reg: Control register */
#define ACQ_CORE_CTL_RESERVED1_MASK           WBGEN2_GEN_MASK(2, 14)
#define ACQ_CORE_CTL_RESERVED1_SHIFT          2
#define ACQ_CORE_CTL_RESERVED1_W(value)       WBGEN2_GEN_WRITE(value, 2, 14)
#define ACQ_CORE_CTL_RESERVED1_R(reg)         WBGEN2_GEN_READ(reg, 2, 14)

/* definitions for field: Acquire data immediately and don't wait for any trigger (ignore on read) in reg: Control register */
#define ACQ_CORE_CTL_FSM_ACQ_NOW              WBGEN2_GEN_MASK(16, 1)

/* definitions for field: Reserved2 in reg: Control register */
#define ACQ_CORE_CTL_RESERVED2_MASK           WBGEN2_GEN_MASK(17, 15)
#define ACQ_CORE_CTL_RESERVED2_SHIFT          17
#define ACQ_CORE_CTL_RESERVED2_W(value)       WBGEN2_GEN_WRITE(value, 17, 15)
#define ACQ_CORE_CTL_RESERVED2_R(reg)         WBGEN2_GEN_READ(reg, 17, 15)

/* definitions for register: Status register */

/* definitions for field: State machine status in reg: Status register */
#define ACQ_CORE_STA_FSM_STATE_MASK           WBGEN2_GEN_MASK(0, 3)
#define ACQ_CORE_STA_FSM_STATE_SHIFT          0
#define ACQ_CORE_STA_FSM_STATE_W(value)       WBGEN2_GEN_WRITE(value, 0, 3)
#define ACQ_CORE_STA_FSM_STATE_R(reg)         WBGEN2_GEN_READ(reg, 0, 3)

/* definitions for field: FSM acquisition status in reg: Status register */
#define ACQ_CORE_STA_FSM_ACQ_DONE             WBGEN2_GEN_MASK(3, 1)

/* definitions for field: Reserved in reg: Status register */
#define ACQ_CORE_STA_RESERVED1_MASK           WBGEN2_GEN_MASK(4, 4)
#define ACQ_CORE_STA_RESERVED1_SHIFT          4
#define ACQ_CORE_STA_RESERVED1_W(value)       WBGEN2_GEN_WRITE(value, 4, 4)
#define ACQ_CORE_STA_RESERVED1_R(reg)         WBGEN2_GEN_READ(reg, 4, 4)

/* definitions for field: External flow control transfer status in reg: Status register */
#define ACQ_CORE_STA_FC_TRANS_DONE            WBGEN2_GEN_MASK(8, 1)

/* definitions for field: External flow control FIFO full status in reg: Status register */
#define ACQ_CORE_STA_FC_FULL                  WBGEN2_GEN_MASK(9, 1)

/* definitions for field: Reserved in reg: Status register */
#define ACQ_CORE_STA_RESERVED2_MASK           WBGEN2_GEN_MASK(10, 6)
#define ACQ_CORE_STA_RESERVED2_SHIFT          10
#define ACQ_CORE_STA_RESERVED2_W(value)       WBGEN2_GEN_WRITE(value, 10, 6)
#define ACQ_CORE_STA_RESERVED2_R(reg)         WBGEN2_GEN_READ(reg, 10, 6)

/* definitions for field: DDR3 transfer status in reg: Status register */
#define ACQ_CORE_STA_DDR3_TRANS_DONE          WBGEN2_GEN_MASK(16, 1)

/* definitions for field: Reserved in reg: Status register */
#define ACQ_CORE_STA_RESERVED3_MASK           WBGEN2_GEN_MASK(17, 15)
#define ACQ_CORE_STA_RESERVED3_SHIFT          17
#define ACQ_CORE_STA_RESERVED3_W(value)       WBGEN2_GEN_WRITE(value, 17, 15)
#define ACQ_CORE_STA_RESERVED3_R(reg)         WBGEN2_GEN_READ(reg, 17, 15)

/* definitions for register: Trigger configuration */

/* definitions for field: Hardware trigger selection in reg: Trigger configuration */
#define ACQ_CORE_TRIG_CFG_HW_TRIG_SEL         WBGEN2_GEN_MASK(0, 1)

/* definitions for field: Hardware trigger polarity in reg: Trigger configuration */
#define ACQ_CORE_TRIG_CFG_HW_TRIG_POL         WBGEN2_GEN_MASK(1, 1)

/* definitions for field: Hardware trigger enable in reg: Trigger configuration */
#define ACQ_CORE_TRIG_CFG_HW_TRIG_EN          WBGEN2_GEN_MASK(2, 1)

/* definitions for field: Software trigger enable in reg: Trigger configuration */
#define ACQ_CORE_TRIG_CFG_SW_TRIG_EN          WBGEN2_GEN_MASK(3, 1)

/* definitions for field: Channel selection for internal trigger in reg: Trigger configuration */
#define ACQ_CORE_TRIG_CFG_INT_TRIG_SEL_MASK   WBGEN2_GEN_MASK(4, 5)
#define ACQ_CORE_TRIG_CFG_INT_TRIG_SEL_SHIFT  4
#define ACQ_CORE_TRIG_CFG_INT_TRIG_SEL_W(value) WBGEN2_GEN_WRITE(value, 4, 5)
#define ACQ_CORE_TRIG_CFG_INT_TRIG_SEL_R(reg) WBGEN2_GEN_READ(reg, 4, 5)

/* definitions for field: Reserved in reg: Trigger configuration */
#define ACQ_CORE_TRIG_CFG_RESERVED_MASK       WBGEN2_GEN_MASK(9, 23)
#define ACQ_CORE_TRIG_CFG_RESERVED_SHIFT      9
#define ACQ_CORE_TRIG_CFG_RESERVED_W(value)   WBGEN2_GEN_WRITE(value, 9, 23)
#define ACQ_CORE_TRIG_CFG_RESERVED_R(reg)     WBGEN2_GEN_READ(reg, 9, 23)

/* definitions for register: Trigger data config threshold */

/* definitions for field: Internal trigger threshold glitch filter in reg: Trigger data config threshold */
#define ACQ_CORE_TRIG_DATA_CFG_THRES_FILT_MASK WBGEN2_GEN_MASK(0, 8)
#define ACQ_CORE_TRIG_DATA_CFG_THRES_FILT_SHIFT 0
#define ACQ_CORE_TRIG_DATA_CFG_THRES_FILT_W(value) WBGEN2_GEN_WRITE(value, 0, 8)
#define ACQ_CORE_TRIG_DATA_CFG_THRES_FILT_R(reg) WBGEN2_GEN_READ(reg, 0, 8)

/* definitions for field: Reserved in reg: Trigger data config threshold */
#define ACQ_CORE_TRIG_DATA_CFG_RESERVED_MASK  WBGEN2_GEN_MASK(8, 24)
#define ACQ_CORE_TRIG_DATA_CFG_RESERVED_SHIFT 8
#define ACQ_CORE_TRIG_DATA_CFG_RESERVED_W(value) WBGEN2_GEN_WRITE(value, 8, 24)
#define ACQ_CORE_TRIG_DATA_CFG_RESERVED_R(reg) WBGEN2_GEN_READ(reg, 8, 24)

/* definitions for register: Trigger data threshold */

/* definitions for register: Trigger delay */

/* definitions for register: Software trigger */

/* definitions for register: Number of shots */

/* definitions for field: Number of shots in reg: Number of shots */
#define ACQ_CORE_SHOTS_NB_MASK                WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_SHOTS_NB_SHIFT               0
#define ACQ_CORE_SHOTS_NB_W(value)            WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_SHOTS_NB_R(reg)              WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Reserved in reg: Number of shots */
#define ACQ_CORE_SHOTS_RESERVED_MASK          WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_SHOTS_RESERVED_SHIFT         16
#define ACQ_CORE_SHOTS_RESERVED_W(value)      WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_SHOTS_RESERVED_R(reg)        WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Trigger address register */

/* definitions for register: Pre-trigger samples */

/* definitions for register: Post-trigger samples */

/* definitions for register: Samples counter */

/* definitions for register: DDR3 Start Address */

/* definitions for register: DDR3 End Address */

/* definitions for register: Acquisition channel control */

/* definitions for field: Acquisition channel selection in reg: Acquisition channel control */
#define ACQ_CORE_ACQ_CHAN_CTL_WHICH_MASK      WBGEN2_GEN_MASK(0, 5)
#define ACQ_CORE_ACQ_CHAN_CTL_WHICH_SHIFT     0
#define ACQ_CORE_ACQ_CHAN_CTL_WHICH_W(value)  WBGEN2_GEN_WRITE(value, 0, 5)
#define ACQ_CORE_ACQ_CHAN_CTL_WHICH_R(reg)    WBGEN2_GEN_READ(reg, 0, 5)

/* definitions for field: Reserved in reg: Acquisition channel control */
#define ACQ_CORE_ACQ_CHAN_CTL_RESERVED_MASK   WBGEN2_GEN_MASK(5, 3)
#define ACQ_CORE_ACQ_CHAN_CTL_RESERVED_SHIFT  5
#define ACQ_CORE_ACQ_CHAN_CTL_RESERVED_W(value) WBGEN2_GEN_WRITE(value, 5, 3)
#define ACQ_CORE_ACQ_CHAN_CTL_RESERVED_R(reg) WBGEN2_GEN_READ(reg, 5, 3)

/* definitions for field: Data-driven channel selection in reg: Acquisition channel control */
#define ACQ_CORE_ACQ_CHAN_CTL_DTRIG_WHICH_MASK WBGEN2_GEN_MASK(8, 5)
#define ACQ_CORE_ACQ_CHAN_CTL_DTRIG_WHICH_SHIFT 8
#define ACQ_CORE_ACQ_CHAN_CTL_DTRIG_WHICH_W(value) WBGEN2_GEN_WRITE(value, 8, 5)
#define ACQ_CORE_ACQ_CHAN_CTL_DTRIG_WHICH_R(reg) WBGEN2_GEN_READ(reg, 8, 5)

/* definitions for field: Reserved1 in reg: Acquisition channel control */
#define ACQ_CORE_ACQ_CHAN_CTL_RESERVED1_MASK  WBGEN2_GEN_MASK(13, 19)
#define ACQ_CORE_ACQ_CHAN_CTL_RESERVED1_SHIFT 13
#define ACQ_CORE_ACQ_CHAN_CTL_RESERVED1_W(value) WBGEN2_GEN_WRITE(value, 13, 19)
#define ACQ_CORE_ACQ_CHAN_CTL_RESERVED1_R(reg) WBGEN2_GEN_READ(reg, 13, 19)

/* definitions for register: Channel 0 Description */

/* definitions for field: Channel Internal Width in reg: Channel 0 Description */
#define ACQ_CORE_CH0_DESC_INT_WIDTH_MASK      WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH0_DESC_INT_WIDTH_SHIFT     0
#define ACQ_CORE_CH0_DESC_INT_WIDTH_W(value)  WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH0_DESC_INT_WIDTH_R(reg)    WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Number of coalescing words in reg: Channel 0 Description */
#define ACQ_CORE_CH0_DESC_NUM_COALESCE_MASK   WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH0_DESC_NUM_COALESCE_SHIFT  16
#define ACQ_CORE_CH0_DESC_NUM_COALESCE_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH0_DESC_NUM_COALESCE_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 0 Atom Description */

/* definitions for field: Number of atoms inside the complete data word (int_width*num_coalesce) in reg: Channel 0 Atom Description */
#define ACQ_CORE_CH0_ATOM_DESC_NUM_ATOMS_MASK WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH0_ATOM_DESC_NUM_ATOMS_SHIFT 0
#define ACQ_CORE_CH0_ATOM_DESC_NUM_ATOMS_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH0_ATOM_DESC_NUM_ATOMS_R(reg) WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Atom width in reg: Channel 0 Atom Description */
#define ACQ_CORE_CH0_ATOM_DESC_ATOM_WIDTH_MASK WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH0_ATOM_DESC_ATOM_WIDTH_SHIFT 16
#define ACQ_CORE_CH0_ATOM_DESC_ATOM_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH0_ATOM_DESC_ATOM_WIDTH_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 1 Description */

/* definitions for field: Channel Internal Width in reg: Channel 1 Description */
#define ACQ_CORE_CH1_DESC_INT_WIDTH_MASK      WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH1_DESC_INT_WIDTH_SHIFT     0
#define ACQ_CORE_CH1_DESC_INT_WIDTH_W(value)  WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH1_DESC_INT_WIDTH_R(reg)    WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Number of coalescing words in reg: Channel 1 Description */
#define ACQ_CORE_CH1_DESC_NUM_COALESCE_MASK   WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH1_DESC_NUM_COALESCE_SHIFT  16
#define ACQ_CORE_CH1_DESC_NUM_COALESCE_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH1_DESC_NUM_COALESCE_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 1 Atom Description */

/* definitions for field: Number of atoms inside the complete data word (int_width*num_coalesce) in reg: Channel 1 Atom Description */
#define ACQ_CORE_CH1_ATOM_DESC_NUM_ATOMS_MASK WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH1_ATOM_DESC_NUM_ATOMS_SHIFT 0
#define ACQ_CORE_CH1_ATOM_DESC_NUM_ATOMS_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH1_ATOM_DESC_NUM_ATOMS_R(reg) WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Atom width in reg: Channel 1 Atom Description */
#define ACQ_CORE_CH1_ATOM_DESC_ATOM_WIDTH_MASK WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH1_ATOM_DESC_ATOM_WIDTH_SHIFT 16
#define ACQ_CORE_CH1_ATOM_DESC_ATOM_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH1_ATOM_DESC_ATOM_WIDTH_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 2 Description */

/* definitions for field: Channel Internal Width in reg: Channel 2 Description */
#define ACQ_CORE_CH2_DESC_INT_WIDTH_MASK      WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH2_DESC_INT_WIDTH_SHIFT     0
#define ACQ_CORE_CH2_DESC_INT_WIDTH_W(value)  WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH2_DESC_INT_WIDTH_R(reg)    WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Number of coalescing words in reg: Channel 2 Description */
#define ACQ_CORE_CH2_DESC_NUM_COALESCE_MASK   WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH2_DESC_NUM_COALESCE_SHIFT  16
#define ACQ_CORE_CH2_DESC_NUM_COALESCE_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH2_DESC_NUM_COALESCE_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 2 Atom Description */

/* definitions for field: Number of atoms inside the complete data word (int_width*num_coalesce) in reg: Channel 2 Atom Description */
#define ACQ_CORE_CH2_ATOM_DESC_NUM_ATOMS_MASK WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH2_ATOM_DESC_NUM_ATOMS_SHIFT 0
#define ACQ_CORE_CH2_ATOM_DESC_NUM_ATOMS_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH2_ATOM_DESC_NUM_ATOMS_R(reg) WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Atom width in reg: Channel 2 Atom Description */
#define ACQ_CORE_CH2_ATOM_DESC_ATOM_WIDTH_MASK WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH2_ATOM_DESC_ATOM_WIDTH_SHIFT 16
#define ACQ_CORE_CH2_ATOM_DESC_ATOM_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH2_ATOM_DESC_ATOM_WIDTH_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 3 Description */

/* definitions for field: Channel Internal Width in reg: Channel 3 Description */
#define ACQ_CORE_CH3_DESC_INT_WIDTH_MASK      WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH3_DESC_INT_WIDTH_SHIFT     0
#define ACQ_CORE_CH3_DESC_INT_WIDTH_W(value)  WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH3_DESC_INT_WIDTH_R(reg)    WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Number of coalescing words in reg: Channel 3 Description */
#define ACQ_CORE_CH3_DESC_NUM_COALESCE_MASK   WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH3_DESC_NUM_COALESCE_SHIFT  16
#define ACQ_CORE_CH3_DESC_NUM_COALESCE_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH3_DESC_NUM_COALESCE_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 3 Atom Description */

/* definitions for field: Number of atoms inside the complete data word (int_width*num_coalesce) in reg: Channel 3 Atom Description */
#define ACQ_CORE_CH3_ATOM_DESC_NUM_ATOMS_MASK WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH3_ATOM_DESC_NUM_ATOMS_SHIFT 0
#define ACQ_CORE_CH3_ATOM_DESC_NUM_ATOMS_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH3_ATOM_DESC_NUM_ATOMS_R(reg) WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Atom width in reg: Channel 3 Atom Description */
#define ACQ_CORE_CH3_ATOM_DESC_ATOM_WIDTH_MASK WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH3_ATOM_DESC_ATOM_WIDTH_SHIFT 16
#define ACQ_CORE_CH3_ATOM_DESC_ATOM_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH3_ATOM_DESC_ATOM_WIDTH_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 4 Description */

/* definitions for field: Channel Internal Width in reg: Channel 4 Description */
#define ACQ_CORE_CH4_DESC_INT_WIDTH_MASK      WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH4_DESC_INT_WIDTH_SHIFT     0
#define ACQ_CORE_CH4_DESC_INT_WIDTH_W(value)  WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH4_DESC_INT_WIDTH_R(reg)    WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Number of coalescing words in reg: Channel 4 Description */
#define ACQ_CORE_CH4_DESC_NUM_COALESCE_MASK   WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH4_DESC_NUM_COALESCE_SHIFT  16
#define ACQ_CORE_CH4_DESC_NUM_COALESCE_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH4_DESC_NUM_COALESCE_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 4 Atom Description */

/* definitions for field: Number of atoms inside the complete data word (int_width*num_coalesce) in reg: Channel 4 Atom Description */
#define ACQ_CORE_CH4_ATOM_DESC_NUM_ATOMS_MASK WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH4_ATOM_DESC_NUM_ATOMS_SHIFT 0
#define ACQ_CORE_CH4_ATOM_DESC_NUM_ATOMS_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH4_ATOM_DESC_NUM_ATOMS_R(reg) WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Atom width in reg: Channel 4 Atom Description */
#define ACQ_CORE_CH4_ATOM_DESC_ATOM_WIDTH_MASK WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH4_ATOM_DESC_ATOM_WIDTH_SHIFT 16
#define ACQ_CORE_CH4_ATOM_DESC_ATOM_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH4_ATOM_DESC_ATOM_WIDTH_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 5 Description */

/* definitions for field: Channel Internal Width in reg: Channel 5 Description */
#define ACQ_CORE_CH5_DESC_INT_WIDTH_MASK      WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH5_DESC_INT_WIDTH_SHIFT     0
#define ACQ_CORE_CH5_DESC_INT_WIDTH_W(value)  WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH5_DESC_INT_WIDTH_R(reg)    WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Number of coalescing words in reg: Channel 5 Description */
#define ACQ_CORE_CH5_DESC_NUM_COALESCE_MASK   WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH5_DESC_NUM_COALESCE_SHIFT  16
#define ACQ_CORE_CH5_DESC_NUM_COALESCE_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH5_DESC_NUM_COALESCE_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 5 Atom Description */

/* definitions for field: Number of atoms inside the complete data word (int_width*num_coalesce) in reg: Channel 5 Atom Description */
#define ACQ_CORE_CH5_ATOM_DESC_NUM_ATOMS_MASK WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH5_ATOM_DESC_NUM_ATOMS_SHIFT 0
#define ACQ_CORE_CH5_ATOM_DESC_NUM_ATOMS_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH5_ATOM_DESC_NUM_ATOMS_R(reg) WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Atom width in reg: Channel 5 Atom Description */
#define ACQ_CORE_CH5_ATOM_DESC_ATOM_WIDTH_MASK WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH5_ATOM_DESC_ATOM_WIDTH_SHIFT 16
#define ACQ_CORE_CH5_ATOM_DESC_ATOM_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH5_ATOM_DESC_ATOM_WIDTH_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 6 Description */

/* definitions for field: Channel Internal Width in reg: Channel 6 Description */
#define ACQ_CORE_CH6_DESC_INT_WIDTH_MASK      WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH6_DESC_INT_WIDTH_SHIFT     0
#define ACQ_CORE_CH6_DESC_INT_WIDTH_W(value)  WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH6_DESC_INT_WIDTH_R(reg)    WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Number of coalescing words in reg: Channel 6 Description */
#define ACQ_CORE_CH6_DESC_NUM_COALESCE_MASK   WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH6_DESC_NUM_COALESCE_SHIFT  16
#define ACQ_CORE_CH6_DESC_NUM_COALESCE_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH6_DESC_NUM_COALESCE_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 6 Atom Description */

/* definitions for field: Number of atoms inside the complete data word (int_width*num_coalesce) in reg: Channel 6 Atom Description */
#define ACQ_CORE_CH6_ATOM_DESC_NUM_ATOMS_MASK WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH6_ATOM_DESC_NUM_ATOMS_SHIFT 0
#define ACQ_CORE_CH6_ATOM_DESC_NUM_ATOMS_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH6_ATOM_DESC_NUM_ATOMS_R(reg) WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Atom width in reg: Channel 6 Atom Description */
#define ACQ_CORE_CH6_ATOM_DESC_ATOM_WIDTH_MASK WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH6_ATOM_DESC_ATOM_WIDTH_SHIFT 16
#define ACQ_CORE_CH6_ATOM_DESC_ATOM_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH6_ATOM_DESC_ATOM_WIDTH_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 7 Description */

/* definitions for field: Channel Internal Width in reg: Channel 7 Description */
#define ACQ_CORE_CH7_DESC_INT_WIDTH_MASK      WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH7_DESC_INT_WIDTH_SHIFT     0
#define ACQ_CORE_CH7_DESC_INT_WIDTH_W(value)  WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH7_DESC_INT_WIDTH_R(reg)    WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Number of coalescing words in reg: Channel 7 Description */
#define ACQ_CORE_CH7_DESC_NUM_COALESCE_MASK   WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH7_DESC_NUM_COALESCE_SHIFT  16
#define ACQ_CORE_CH7_DESC_NUM_COALESCE_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH7_DESC_NUM_COALESCE_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 7 Atom Description */

/* definitions for field: Number of atoms inside the complete data word (int_width*num_coalesce) in reg: Channel 7 Atom Description */
#define ACQ_CORE_CH7_ATOM_DESC_NUM_ATOMS_MASK WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH7_ATOM_DESC_NUM_ATOMS_SHIFT 0
#define ACQ_CORE_CH7_ATOM_DESC_NUM_ATOMS_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH7_ATOM_DESC_NUM_ATOMS_R(reg) WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Atom width in reg: Channel 7 Atom Description */
#define ACQ_CORE_CH7_ATOM_DESC_ATOM_WIDTH_MASK WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH7_ATOM_DESC_ATOM_WIDTH_SHIFT 16
#define ACQ_CORE_CH7_ATOM_DESC_ATOM_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH7_ATOM_DESC_ATOM_WIDTH_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 8 Description */

/* definitions for field: Channel Internal Width in reg: Channel 8 Description */
#define ACQ_CORE_CH8_DESC_INT_WIDTH_MASK      WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH8_DESC_INT_WIDTH_SHIFT     0
#define ACQ_CORE_CH8_DESC_INT_WIDTH_W(value)  WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH8_DESC_INT_WIDTH_R(reg)    WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Number of coalescing words in reg: Channel 8 Description */
#define ACQ_CORE_CH8_DESC_NUM_COALESCE_MASK   WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH8_DESC_NUM_COALESCE_SHIFT  16
#define ACQ_CORE_CH8_DESC_NUM_COALESCE_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH8_DESC_NUM_COALESCE_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 8 Atom Description */

/* definitions for field: Number of atoms inside the complete data word (int_width*num_coalesce) in reg: Channel 8 Atom Description */
#define ACQ_CORE_CH8_ATOM_DESC_NUM_ATOMS_MASK WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH8_ATOM_DESC_NUM_ATOMS_SHIFT 0
#define ACQ_CORE_CH8_ATOM_DESC_NUM_ATOMS_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH8_ATOM_DESC_NUM_ATOMS_R(reg) WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Atom width in reg: Channel 8 Atom Description */
#define ACQ_CORE_CH8_ATOM_DESC_ATOM_WIDTH_MASK WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH8_ATOM_DESC_ATOM_WIDTH_SHIFT 16
#define ACQ_CORE_CH8_ATOM_DESC_ATOM_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH8_ATOM_DESC_ATOM_WIDTH_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 9 Description */

/* definitions for field: Channel Internal Width in reg: Channel 9 Description */
#define ACQ_CORE_CH9_DESC_INT_WIDTH_MASK      WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH9_DESC_INT_WIDTH_SHIFT     0
#define ACQ_CORE_CH9_DESC_INT_WIDTH_W(value)  WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH9_DESC_INT_WIDTH_R(reg)    WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Number of coalescing words in reg: Channel 9 Description */
#define ACQ_CORE_CH9_DESC_NUM_COALESCE_MASK   WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH9_DESC_NUM_COALESCE_SHIFT  16
#define ACQ_CORE_CH9_DESC_NUM_COALESCE_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH9_DESC_NUM_COALESCE_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 9 Atom Description */

/* definitions for field: Number of atoms inside the complete data word (int_width*num_coalesce) in reg: Channel 9 Atom Description */
#define ACQ_CORE_CH9_ATOM_DESC_NUM_ATOMS_MASK WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH9_ATOM_DESC_NUM_ATOMS_SHIFT 0
#define ACQ_CORE_CH9_ATOM_DESC_NUM_ATOMS_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH9_ATOM_DESC_NUM_ATOMS_R(reg) WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Atom width in reg: Channel 9 Atom Description */
#define ACQ_CORE_CH9_ATOM_DESC_ATOM_WIDTH_MASK WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH9_ATOM_DESC_ATOM_WIDTH_SHIFT 16
#define ACQ_CORE_CH9_ATOM_DESC_ATOM_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH9_ATOM_DESC_ATOM_WIDTH_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 10 Description */

/* definitions for field: Channel Internal Width in reg: Channel 10 Description */
#define ACQ_CORE_CH10_DESC_INT_WIDTH_MASK     WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH10_DESC_INT_WIDTH_SHIFT    0
#define ACQ_CORE_CH10_DESC_INT_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH10_DESC_INT_WIDTH_R(reg)   WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Number of coalescing words in reg: Channel 10 Description */
#define ACQ_CORE_CH10_DESC_NUM_COALESCE_MASK  WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH10_DESC_NUM_COALESCE_SHIFT 16
#define ACQ_CORE_CH10_DESC_NUM_COALESCE_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH10_DESC_NUM_COALESCE_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 10 Atom Description */

/* definitions for field: Number of atoms inside the complete data word (int_width*num_coalesce) in reg: Channel 10 Atom Description */
#define ACQ_CORE_CH10_ATOM_DESC_NUM_ATOMS_MASK WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH10_ATOM_DESC_NUM_ATOMS_SHIFT 0
#define ACQ_CORE_CH10_ATOM_DESC_NUM_ATOMS_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH10_ATOM_DESC_NUM_ATOMS_R(reg) WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Atom width in reg: Channel 10 Atom Description */
#define ACQ_CORE_CH10_ATOM_DESC_ATOM_WIDTH_MASK WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH10_ATOM_DESC_ATOM_WIDTH_SHIFT 16
#define ACQ_CORE_CH10_ATOM_DESC_ATOM_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH10_ATOM_DESC_ATOM_WIDTH_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 11 Description */

/* definitions for field: Channel Internal Width in reg: Channel 11 Description */
#define ACQ_CORE_CH11_DESC_INT_WIDTH_MASK     WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH11_DESC_INT_WIDTH_SHIFT    0
#define ACQ_CORE_CH11_DESC_INT_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH11_DESC_INT_WIDTH_R(reg)   WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Number of coalescing words in reg: Channel 11 Description */
#define ACQ_CORE_CH11_DESC_NUM_COALESCE_MASK  WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH11_DESC_NUM_COALESCE_SHIFT 16
#define ACQ_CORE_CH11_DESC_NUM_COALESCE_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH11_DESC_NUM_COALESCE_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 11 Atom Description */

/* definitions for field: Number of atoms inside the complete data word (int_width*num_coalesce) in reg: Channel 11 Atom Description */
#define ACQ_CORE_CH11_ATOM_DESC_NUM_ATOMS_MASK WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH11_ATOM_DESC_NUM_ATOMS_SHIFT 0
#define ACQ_CORE_CH11_ATOM_DESC_NUM_ATOMS_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH11_ATOM_DESC_NUM_ATOMS_R(reg) WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Atom width in reg: Channel 11 Atom Description */
#define ACQ_CORE_CH11_ATOM_DESC_ATOM_WIDTH_MASK WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH11_ATOM_DESC_ATOM_WIDTH_SHIFT 16
#define ACQ_CORE_CH11_ATOM_DESC_ATOM_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH11_ATOM_DESC_ATOM_WIDTH_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 12 Description */

/* definitions for field: Channel Internal Width in reg: Channel 12 Description */
#define ACQ_CORE_CH12_DESC_INT_WIDTH_MASK     WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH12_DESC_INT_WIDTH_SHIFT    0
#define ACQ_CORE_CH12_DESC_INT_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH12_DESC_INT_WIDTH_R(reg)   WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Number of coalescing words in reg: Channel 12 Description */
#define ACQ_CORE_CH12_DESC_NUM_COALESCE_MASK  WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH12_DESC_NUM_COALESCE_SHIFT 16
#define ACQ_CORE_CH12_DESC_NUM_COALESCE_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH12_DESC_NUM_COALESCE_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 12 Atom Description */

/* definitions for field: Number of atoms inside the complete data word (int_width*num_coalesce) in reg: Channel 12 Atom Description */
#define ACQ_CORE_CH12_ATOM_DESC_NUM_ATOMS_MASK WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH12_ATOM_DESC_NUM_ATOMS_SHIFT 0
#define ACQ_CORE_CH12_ATOM_DESC_NUM_ATOMS_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH12_ATOM_DESC_NUM_ATOMS_R(reg) WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Atom width in reg: Channel 12 Atom Description */
#define ACQ_CORE_CH12_ATOM_DESC_ATOM_WIDTH_MASK WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH12_ATOM_DESC_ATOM_WIDTH_SHIFT 16
#define ACQ_CORE_CH12_ATOM_DESC_ATOM_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH12_ATOM_DESC_ATOM_WIDTH_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 13 Description */

/* definitions for field: Channel Internal Width in reg: Channel 13 Description */
#define ACQ_CORE_CH13_DESC_INT_WIDTH_MASK     WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH13_DESC_INT_WIDTH_SHIFT    0
#define ACQ_CORE_CH13_DESC_INT_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH13_DESC_INT_WIDTH_R(reg)   WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Number of coalescing words in reg: Channel 13 Description */
#define ACQ_CORE_CH13_DESC_NUM_COALESCE_MASK  WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH13_DESC_NUM_COALESCE_SHIFT 16
#define ACQ_CORE_CH13_DESC_NUM_COALESCE_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH13_DESC_NUM_COALESCE_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 13 Atom Description */

/* definitions for field: Number of atoms inside the complete data word (int_width*num_coalesce) in reg: Channel 13 Atom Description */
#define ACQ_CORE_CH13_ATOM_DESC_NUM_ATOMS_MASK WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH13_ATOM_DESC_NUM_ATOMS_SHIFT 0
#define ACQ_CORE_CH13_ATOM_DESC_NUM_ATOMS_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH13_ATOM_DESC_NUM_ATOMS_R(reg) WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Atom width in reg: Channel 13 Atom Description */
#define ACQ_CORE_CH13_ATOM_DESC_ATOM_WIDTH_MASK WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH13_ATOM_DESC_ATOM_WIDTH_SHIFT 16
#define ACQ_CORE_CH13_ATOM_DESC_ATOM_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH13_ATOM_DESC_ATOM_WIDTH_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 14 Description */

/* definitions for field: Channel Internal Width in reg: Channel 14 Description */
#define ACQ_CORE_CH14_DESC_INT_WIDTH_MASK     WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH14_DESC_INT_WIDTH_SHIFT    0
#define ACQ_CORE_CH14_DESC_INT_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH14_DESC_INT_WIDTH_R(reg)   WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Number of coalescing words in reg: Channel 14 Description */
#define ACQ_CORE_CH14_DESC_NUM_COALESCE_MASK  WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH14_DESC_NUM_COALESCE_SHIFT 16
#define ACQ_CORE_CH14_DESC_NUM_COALESCE_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH14_DESC_NUM_COALESCE_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 14 Atom Description */

/* definitions for field: Number of atoms inside the complete data word (int_width*num_coalesce) in reg: Channel 14 Atom Description */
#define ACQ_CORE_CH14_ATOM_DESC_NUM_ATOMS_MASK WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH14_ATOM_DESC_NUM_ATOMS_SHIFT 0
#define ACQ_CORE_CH14_ATOM_DESC_NUM_ATOMS_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH14_ATOM_DESC_NUM_ATOMS_R(reg) WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Atom width in reg: Channel 14 Atom Description */
#define ACQ_CORE_CH14_ATOM_DESC_ATOM_WIDTH_MASK WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH14_ATOM_DESC_ATOM_WIDTH_SHIFT 16
#define ACQ_CORE_CH14_ATOM_DESC_ATOM_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH14_ATOM_DESC_ATOM_WIDTH_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 15 Description */

/* definitions for field: Channel Internal Width in reg: Channel 15 Description */
#define ACQ_CORE_CH15_DESC_INT_WIDTH_MASK     WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH15_DESC_INT_WIDTH_SHIFT    0
#define ACQ_CORE_CH15_DESC_INT_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH15_DESC_INT_WIDTH_R(reg)   WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Number of coalescing words in reg: Channel 15 Description */
#define ACQ_CORE_CH15_DESC_NUM_COALESCE_MASK  WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH15_DESC_NUM_COALESCE_SHIFT 16
#define ACQ_CORE_CH15_DESC_NUM_COALESCE_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH15_DESC_NUM_COALESCE_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 15 Atom Description */

/* definitions for field: Number of atoms inside the complete data word (int_width*num_coalesce) in reg: Channel 15 Atom Description */
#define ACQ_CORE_CH15_ATOM_DESC_NUM_ATOMS_MASK WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH15_ATOM_DESC_NUM_ATOMS_SHIFT 0
#define ACQ_CORE_CH15_ATOM_DESC_NUM_ATOMS_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH15_ATOM_DESC_NUM_ATOMS_R(reg) WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Atom width in reg: Channel 15 Atom Description */
#define ACQ_CORE_CH15_ATOM_DESC_ATOM_WIDTH_MASK WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH15_ATOM_DESC_ATOM_WIDTH_SHIFT 16
#define ACQ_CORE_CH15_ATOM_DESC_ATOM_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH15_ATOM_DESC_ATOM_WIDTH_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 16 Description */

/* definitions for field: Channel Internal Width in reg: Channel 16 Description */
#define ACQ_CORE_CH16_DESC_INT_WIDTH_MASK     WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH16_DESC_INT_WIDTH_SHIFT    0
#define ACQ_CORE_CH16_DESC_INT_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH16_DESC_INT_WIDTH_R(reg)   WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Number of coalescing words in reg: Channel 16 Description */
#define ACQ_CORE_CH16_DESC_NUM_COALESCE_MASK  WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH16_DESC_NUM_COALESCE_SHIFT 16
#define ACQ_CORE_CH16_DESC_NUM_COALESCE_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH16_DESC_NUM_COALESCE_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 16 Atom Description */

/* definitions for field: Number of atoms inside the complete data word (int_width*num_coalesce) in reg: Channel 16 Atom Description */
#define ACQ_CORE_CH16_ATOM_DESC_NUM_ATOMS_MASK WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH16_ATOM_DESC_NUM_ATOMS_SHIFT 0
#define ACQ_CORE_CH16_ATOM_DESC_NUM_ATOMS_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH16_ATOM_DESC_NUM_ATOMS_R(reg) WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Atom width in reg: Channel 16 Atom Description */
#define ACQ_CORE_CH16_ATOM_DESC_ATOM_WIDTH_MASK WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH16_ATOM_DESC_ATOM_WIDTH_SHIFT 16
#define ACQ_CORE_CH16_ATOM_DESC_ATOM_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH16_ATOM_DESC_ATOM_WIDTH_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 17 Description */

/* definitions for field: Channel Internal Width in reg: Channel 17 Description */
#define ACQ_CORE_CH17_DESC_INT_WIDTH_MASK     WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH17_DESC_INT_WIDTH_SHIFT    0
#define ACQ_CORE_CH17_DESC_INT_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH17_DESC_INT_WIDTH_R(reg)   WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Number of coalescing words in reg: Channel 17 Description */
#define ACQ_CORE_CH17_DESC_NUM_COALESCE_MASK  WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH17_DESC_NUM_COALESCE_SHIFT 16
#define ACQ_CORE_CH17_DESC_NUM_COALESCE_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH17_DESC_NUM_COALESCE_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 17 Atom Description */

/* definitions for field: Number of atoms inside the complete data word (int_width*num_coalesce) in reg: Channel 17 Atom Description */
#define ACQ_CORE_CH17_ATOM_DESC_NUM_ATOMS_MASK WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH17_ATOM_DESC_NUM_ATOMS_SHIFT 0
#define ACQ_CORE_CH17_ATOM_DESC_NUM_ATOMS_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH17_ATOM_DESC_NUM_ATOMS_R(reg) WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Atom width in reg: Channel 17 Atom Description */
#define ACQ_CORE_CH17_ATOM_DESC_ATOM_WIDTH_MASK WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH17_ATOM_DESC_ATOM_WIDTH_SHIFT 16
#define ACQ_CORE_CH17_ATOM_DESC_ATOM_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH17_ATOM_DESC_ATOM_WIDTH_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 18 Description */

/* definitions for field: Channel Internal Width in reg: Channel 18 Description */
#define ACQ_CORE_CH18_DESC_INT_WIDTH_MASK     WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH18_DESC_INT_WIDTH_SHIFT    0
#define ACQ_CORE_CH18_DESC_INT_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH18_DESC_INT_WIDTH_R(reg)   WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Number of coalescing words in reg: Channel 18 Description */
#define ACQ_CORE_CH18_DESC_NUM_COALESCE_MASK  WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH18_DESC_NUM_COALESCE_SHIFT 16
#define ACQ_CORE_CH18_DESC_NUM_COALESCE_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH18_DESC_NUM_COALESCE_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 18 Atom Description */

/* definitions for field: Number of atoms inside the complete data word (int_width*num_coalesce) in reg: Channel 18 Atom Description */
#define ACQ_CORE_CH18_ATOM_DESC_NUM_ATOMS_MASK WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH18_ATOM_DESC_NUM_ATOMS_SHIFT 0
#define ACQ_CORE_CH18_ATOM_DESC_NUM_ATOMS_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH18_ATOM_DESC_NUM_ATOMS_R(reg) WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Atom width in reg: Channel 18 Atom Description */
#define ACQ_CORE_CH18_ATOM_DESC_ATOM_WIDTH_MASK WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH18_ATOM_DESC_ATOM_WIDTH_SHIFT 16
#define ACQ_CORE_CH18_ATOM_DESC_ATOM_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH18_ATOM_DESC_ATOM_WIDTH_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 19 Description */

/* definitions for field: Channel Internal Width in reg: Channel 19 Description */
#define ACQ_CORE_CH19_DESC_INT_WIDTH_MASK     WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH19_DESC_INT_WIDTH_SHIFT    0
#define ACQ_CORE_CH19_DESC_INT_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH19_DESC_INT_WIDTH_R(reg)   WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Number of coalescing words in reg: Channel 19 Description */
#define ACQ_CORE_CH19_DESC_NUM_COALESCE_MASK  WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH19_DESC_NUM_COALESCE_SHIFT 16
#define ACQ_CORE_CH19_DESC_NUM_COALESCE_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH19_DESC_NUM_COALESCE_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 19 Atom Description */

/* definitions for field: Number of atoms inside the complete data word (int_width*num_coalesce) in reg: Channel 19 Atom Description */
#define ACQ_CORE_CH19_ATOM_DESC_NUM_ATOMS_MASK WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH19_ATOM_DESC_NUM_ATOMS_SHIFT 0
#define ACQ_CORE_CH19_ATOM_DESC_NUM_ATOMS_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH19_ATOM_DESC_NUM_ATOMS_R(reg) WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Atom width in reg: Channel 19 Atom Description */
#define ACQ_CORE_CH19_ATOM_DESC_ATOM_WIDTH_MASK WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH19_ATOM_DESC_ATOM_WIDTH_SHIFT 16
#define ACQ_CORE_CH19_ATOM_DESC_ATOM_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH19_ATOM_DESC_ATOM_WIDTH_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 20 Description */

/* definitions for field: Channel Internal Width in reg: Channel 20 Description */
#define ACQ_CORE_CH20_DESC_INT_WIDTH_MASK     WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH20_DESC_INT_WIDTH_SHIFT    0
#define ACQ_CORE_CH20_DESC_INT_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH20_DESC_INT_WIDTH_R(reg)   WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Number of coalescing words in reg: Channel 20 Description */
#define ACQ_CORE_CH20_DESC_NUM_COALESCE_MASK  WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH20_DESC_NUM_COALESCE_SHIFT 16
#define ACQ_CORE_CH20_DESC_NUM_COALESCE_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH20_DESC_NUM_COALESCE_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 20 Atom Description */

/* definitions for field: Number of atoms inside the complete data word (int_width*num_coalesce) in reg: Channel 20 Atom Description */
#define ACQ_CORE_CH20_ATOM_DESC_NUM_ATOMS_MASK WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH20_ATOM_DESC_NUM_ATOMS_SHIFT 0
#define ACQ_CORE_CH20_ATOM_DESC_NUM_ATOMS_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH20_ATOM_DESC_NUM_ATOMS_R(reg) WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Atom width in reg: Channel 20 Atom Description */
#define ACQ_CORE_CH20_ATOM_DESC_ATOM_WIDTH_MASK WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH20_ATOM_DESC_ATOM_WIDTH_SHIFT 16
#define ACQ_CORE_CH20_ATOM_DESC_ATOM_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH20_ATOM_DESC_ATOM_WIDTH_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 21 Description */

/* definitions for field: Channel Internal Width in reg: Channel 21 Description */
#define ACQ_CORE_CH21_DESC_INT_WIDTH_MASK     WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH21_DESC_INT_WIDTH_SHIFT    0
#define ACQ_CORE_CH21_DESC_INT_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH21_DESC_INT_WIDTH_R(reg)   WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Number of coalescing words in reg: Channel 21 Description */
#define ACQ_CORE_CH21_DESC_NUM_COALESCE_MASK  WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH21_DESC_NUM_COALESCE_SHIFT 16
#define ACQ_CORE_CH21_DESC_NUM_COALESCE_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH21_DESC_NUM_COALESCE_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 21 Atom Description */

/* definitions for field: Number of atoms inside the complete data word (int_width*num_coalesce) in reg: Channel 21 Atom Description */
#define ACQ_CORE_CH21_ATOM_DESC_NUM_ATOMS_MASK WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH21_ATOM_DESC_NUM_ATOMS_SHIFT 0
#define ACQ_CORE_CH21_ATOM_DESC_NUM_ATOMS_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH21_ATOM_DESC_NUM_ATOMS_R(reg) WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Atom width in reg: Channel 21 Atom Description */
#define ACQ_CORE_CH21_ATOM_DESC_ATOM_WIDTH_MASK WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH21_ATOM_DESC_ATOM_WIDTH_SHIFT 16
#define ACQ_CORE_CH21_ATOM_DESC_ATOM_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH21_ATOM_DESC_ATOM_WIDTH_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 22 Description */

/* definitions for field: Channel Internal Width in reg: Channel 22 Description */
#define ACQ_CORE_CH22_DESC_INT_WIDTH_MASK     WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH22_DESC_INT_WIDTH_SHIFT    0
#define ACQ_CORE_CH22_DESC_INT_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH22_DESC_INT_WIDTH_R(reg)   WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Number of coalescing words in reg: Channel 22 Description */
#define ACQ_CORE_CH22_DESC_NUM_COALESCE_MASK  WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH22_DESC_NUM_COALESCE_SHIFT 16
#define ACQ_CORE_CH22_DESC_NUM_COALESCE_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH22_DESC_NUM_COALESCE_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 22 Atom Description */

/* definitions for field: Number of atoms inside the complete data word (int_width*num_coalesce) in reg: Channel 22 Atom Description */
#define ACQ_CORE_CH22_ATOM_DESC_NUM_ATOMS_MASK WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH22_ATOM_DESC_NUM_ATOMS_SHIFT 0
#define ACQ_CORE_CH22_ATOM_DESC_NUM_ATOMS_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH22_ATOM_DESC_NUM_ATOMS_R(reg) WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Atom width in reg: Channel 22 Atom Description */
#define ACQ_CORE_CH22_ATOM_DESC_ATOM_WIDTH_MASK WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH22_ATOM_DESC_ATOM_WIDTH_SHIFT 16
#define ACQ_CORE_CH22_ATOM_DESC_ATOM_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH22_ATOM_DESC_ATOM_WIDTH_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 23 Description */

/* definitions for field: Channel Internal Width in reg: Channel 23 Description */
#define ACQ_CORE_CH23_DESC_INT_WIDTH_MASK     WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH23_DESC_INT_WIDTH_SHIFT    0
#define ACQ_CORE_CH23_DESC_INT_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH23_DESC_INT_WIDTH_R(reg)   WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Number of coalescing words in reg: Channel 23 Description */
#define ACQ_CORE_CH23_DESC_NUM_COALESCE_MASK  WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH23_DESC_NUM_COALESCE_SHIFT 16
#define ACQ_CORE_CH23_DESC_NUM_COALESCE_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH23_DESC_NUM_COALESCE_R(reg) WBGEN2_GEN_READ(reg, 16, 16)

/* definitions for register: Channel 23 Atom Description */

/* definitions for field: Number of atoms inside the complete data word (int_width*num_coalesce) in reg: Channel 23 Atom Description */
#define ACQ_CORE_CH23_ATOM_DESC_NUM_ATOMS_MASK WBGEN2_GEN_MASK(0, 16)
#define ACQ_CORE_CH23_ATOM_DESC_NUM_ATOMS_SHIFT 0
#define ACQ_CORE_CH23_ATOM_DESC_NUM_ATOMS_W(value) WBGEN2_GEN_WRITE(value, 0, 16)
#define ACQ_CORE_CH23_ATOM_DESC_NUM_ATOMS_R(reg) WBGEN2_GEN_READ(reg, 0, 16)

/* definitions for field: Atom width in reg: Channel 23 Atom Description */
#define ACQ_CORE_CH23_ATOM_DESC_ATOM_WIDTH_MASK WBGEN2_GEN_MASK(16, 16)
#define ACQ_CORE_CH23_ATOM_DESC_ATOM_WIDTH_SHIFT 16
#define ACQ_CORE_CH23_ATOM_DESC_ATOM_WIDTH_W(value) WBGEN2_GEN_WRITE(value, 16, 16)
#define ACQ_CORE_CH23_ATOM_DESC_ATOM_WIDTH_R(reg) WBGEN2_GEN_READ(reg, 16, 16)
/* [0x0]: REG Control register */
#define ACQ_CORE_REG_CTL 0x00000000
/* [0x4]: REG Status register */
#define ACQ_CORE_REG_STA 0x00000004
/* [0x8]: REG Trigger configuration */
#define ACQ_CORE_REG_TRIG_CFG 0x00000008
/* [0xc]: REG Trigger data config threshold */
#define ACQ_CORE_REG_TRIG_DATA_CFG 0x0000000c
/* [0x10]: REG Trigger data threshold */
#define ACQ_CORE_REG_TRIG_DATA_THRES 0x00000010
/* [0x14]: REG Trigger delay */
#define ACQ_CORE_REG_TRIG_DLY 0x00000014
/* [0x18]: REG Software trigger */
#define ACQ_CORE_REG_SW_TRIG 0x00000018
/* [0x1c]: REG Number of shots */
#define ACQ_CORE_REG_SHOTS 0x0000001c
/* [0x20]: REG Trigger address register */
#define ACQ_CORE_REG_TRIG_POS 0x00000020
/* [0x24]: REG Pre-trigger samples */
#define ACQ_CORE_REG_PRE_SAMPLES 0x00000024
/* [0x28]: REG Post-trigger samples */
#define ACQ_CORE_REG_POST_SAMPLES 0x00000028
/* [0x2c]: REG Samples counter */
#define ACQ_CORE_REG_SAMPLES_CNT 0x0000002c
/* [0x30]: REG DDR3 Start Address */
#define ACQ_CORE_REG_DDR3_START_ADDR 0x00000030
/* [0x34]: REG DDR3 End Address */
#define ACQ_CORE_REG_DDR3_END_ADDR 0x00000034
/* [0x38]: REG Acquisition channel control */
#define ACQ_CORE_REG_ACQ_CHAN_CTL 0x00000038
/* [0x3c]: REG Channel 0 Description */
#define ACQ_CORE_REG_CH0_DESC 0x0000003c
/* [0x40]: REG Channel 0 Atom Description */
#define ACQ_CORE_REG_CH0_ATOM_DESC 0x00000040
/* [0x44]: REG Channel 1 Description */
#define ACQ_CORE_REG_CH1_DESC 0x00000044
/* [0x48]: REG Channel 1 Atom Description */
#define ACQ_CORE_REG_CH1_ATOM_DESC 0x00000048
/* [0x4c]: REG Channel 2 Description */
#define ACQ_CORE_REG_CH2_DESC 0x0000004c
/* [0x50]: REG Channel 2 Atom Description */
#define ACQ_CORE_REG_CH2_ATOM_DESC 0x00000050
/* [0x54]: REG Channel 3 Description */
#define ACQ_CORE_REG_CH3_DESC 0x00000054
/* [0x58]: REG Channel 3 Atom Description */
#define ACQ_CORE_REG_CH3_ATOM_DESC 0x00000058
/* [0x5c]: REG Channel 4 Description */
#define ACQ_CORE_REG_CH4_DESC 0x0000005c
/* [0x60]: REG Channel 4 Atom Description */
#define ACQ_CORE_REG_CH4_ATOM_DESC 0x00000060
/* [0x64]: REG Channel 5 Description */
#define ACQ_CORE_REG_CH5_DESC 0x00000064
/* [0x68]: REG Channel 5 Atom Description */
#define ACQ_CORE_REG_CH5_ATOM_DESC 0x00000068
/* [0x6c]: REG Channel 6 Description */
#define ACQ_CORE_REG_CH6_DESC 0x0000006c
/* [0x70]: REG Channel 6 Atom Description */
#define ACQ_CORE_REG_CH6_ATOM_DESC 0x00000070
/* [0x74]: REG Channel 7 Description */
#define ACQ_CORE_REG_CH7_DESC 0x00000074
/* [0x78]: REG Channel 7 Atom Description */
#define ACQ_CORE_REG_CH7_ATOM_DESC 0x00000078
/* [0x7c]: REG Channel 8 Description */
#define ACQ_CORE_REG_CH8_DESC 0x0000007c
/* [0x80]: REG Channel 8 Atom Description */
#define ACQ_CORE_REG_CH8_ATOM_DESC 0x00000080
/* [0x84]: REG Channel 9 Description */
#define ACQ_CORE_REG_CH9_DESC 0x00000084
/* [0x88]: REG Channel 9 Atom Description */
#define ACQ_CORE_REG_CH9_ATOM_DESC 0x00000088
/* [0x8c]: REG Channel 10 Description */
#define ACQ_CORE_REG_CH10_DESC 0x0000008c
/* [0x90]: REG Channel 10 Atom Description */
#define ACQ_CORE_REG_CH10_ATOM_DESC 0x00000090
/* [0x94]: REG Channel 11 Description */
#define ACQ_CORE_REG_CH11_DESC 0x00000094
/* [0x98]: REG Channel 11 Atom Description */
#define ACQ_CORE_REG_CH11_ATOM_DESC 0x00000098
/* [0x9c]: REG Channel 12 Description */
#define ACQ_CORE_REG_CH12_DESC 0x0000009c
/* [0xa0]: REG Channel 12 Atom Description */
#define ACQ_CORE_REG_CH12_ATOM_DESC 0x000000a0
/* [0xa4]: REG Channel 13 Description */
#define ACQ_CORE_REG_CH13_DESC 0x000000a4
/* [0xa8]: REG Channel 13 Atom Description */
#define ACQ_CORE_REG_CH13_ATOM_DESC 0x000000a8
/* [0xac]: REG Channel 14 Description */
#define ACQ_CORE_REG_CH14_DESC 0x000000ac
/* [0xb0]: REG Channel 14 Atom Description */
#define ACQ_CORE_REG_CH14_ATOM_DESC 0x000000b0
/* [0xb4]: REG Channel 15 Description */
#define ACQ_CORE_REG_CH15_DESC 0x000000b4
/* [0xb8]: REG Channel 15 Atom Description */
#define ACQ_CORE_REG_CH15_ATOM_DESC 0x000000b8
/* [0xbc]: REG Channel 16 Description */
#define ACQ_CORE_REG_CH16_DESC 0x000000bc
/* [0xc0]: REG Channel 16 Atom Description */
#define ACQ_CORE_REG_CH16_ATOM_DESC 0x000000c0
/* [0xc4]: REG Channel 17 Description */
#define ACQ_CORE_REG_CH17_DESC 0x000000c4
/* [0xc8]: REG Channel 17 Atom Description */
#define ACQ_CORE_REG_CH17_ATOM_DESC 0x000000c8
/* [0xcc]: REG Channel 18 Description */
#define ACQ_CORE_REG_CH18_DESC 0x000000cc
/* [0xd0]: REG Channel 18 Atom Description */
#define ACQ_CORE_REG_CH18_ATOM_DESC 0x000000d0
/* [0xd4]: REG Channel 19 Description */
#define ACQ_CORE_REG_CH19_DESC 0x000000d4
/* [0xd8]: REG Channel 19 Atom Description */
#define ACQ_CORE_REG_CH19_ATOM_DESC 0x000000d8
/* [0xdc]: REG Channel 20 Description */
#define ACQ_CORE_REG_CH20_DESC 0x000000dc
/* [0xe0]: REG Channel 20 Atom Description */
#define ACQ_CORE_REG_CH20_ATOM_DESC 0x000000e0
/* [0xe4]: REG Channel 21 Description */
#define ACQ_CORE_REG_CH21_DESC 0x000000e4
/* [0xe8]: REG Channel 21 Atom Description */
#define ACQ_CORE_REG_CH21_ATOM_DESC 0x000000e8
/* [0xec]: REG Channel 22 Description */
#define ACQ_CORE_REG_CH22_DESC 0x000000ec
/* [0xf0]: REG Channel 22 Atom Description */
#define ACQ_CORE_REG_CH22_ATOM_DESC 0x000000f0
/* [0xf4]: REG Channel 23 Description */
#define ACQ_CORE_REG_CH23_DESC 0x000000f4
/* [0xf8]: REG Channel 23 Atom Description */
#define ACQ_CORE_REG_CH23_ATOM_DESC 0x000000f8
#endif
